Package org.eclipse.net4j.util.om.log

## Interface OMLogFilter

-     public interface OMLogFilter

  Filters log events before they are being passed to the registered `log handlers`.
  Since:
    3.2
  Author:
    Eike Stepper
  See Also:
    `OMPlatform.addLogFilter(OMLogFilter)`, `OMPlatform.removeLogFilter(OMLogFilter)`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `filter​(OMLogger logger, OMLogger.Level level, java.lang.String msg, java.lang.Throwable t)` | Prevents the log event represented by the arguments from being passed to `registered` `log handlers`, if and only if `true` is returned.

- - ### Method Detail

    - #### filter

          boolean filter​(OMLogger logger,
                         OMLogger.Level level,
                         java.lang.String msg,
                         java.lang.Throwable t)

      Prevents the log event represented by the arguments from being passed to `registered` `log handlers`, if and only if `true` is returned.